import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import React, { useEffect, useRef, useState } from 'react';
import ResizeObserver from 'resize-observer-polyfill';
import purebem from 'purebem';
import './FoundationFixedToolbar.scss';
var block = purebem('foundation-fixed-toolbar');
export default function FoundationFixedToolbar(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children,
      _ref$devices = _ref.devices,
      devices = _ref$devices === void 0 ? ['mobile', 'tablet', 'desktop'] : _ref$devices,
      _ref$initialHeight = _ref.initialHeight,
      initialHeight = _ref$initialHeight === void 0 ? 0 : _ref$initialHeight;
  var divRef = useRef(null);

  var _useState = useState(initialHeight),
      _useState2 = _slicedToArray(_useState, 2),
      height = _useState2[0],
      setHeight = _useState2[1];

  useEffect(function () {
    var ro = new ResizeObserver(function (entries) {
      if (entries.length === 0) {
        return;
      }

      var entry = entries[0];
      var target = entry.target;

      if (height !== target.offsetHeight) {
        setHeight(target.offsetHeight);
      }
    });

    if (divRef.current !== null) {
      ro.observe(divRef.current);
    }

    return function () {
      if (ro !== null) {
        ro.disconnect();
      }
    };
  });
  return React.createElement("div", {
    className: block(devices.map(function (device) {
      return "".concat(device, "-visibility");
    })),
    style: {
      height: height
    }
  }, React.createElement("div", {
    className: block('fixed'),
    ref: divRef
  }, children));
}
//# sourceMappingURL=FoundationFixedToolbar.js.map